# Builder
ARG BUILDER_IMAGE
FROM ${BUILDER_IMAGE} AS builder

# Destination image - server
# FROM gcr.io/distroless/base-debian10
FROM alpine:3.17

ARG SVC_NAME
ARG SVC_VER
ARG BIN_OUTPUT
ARG BUILD_TIME

LABEL dev.egommerce.image.author="Piotr Biernat"
LABEL dev.egommerce.image.vendor="Egommerce"
LABEL dev.egommerce.image.service=${SVC_NAME}
LABEL dev.egommerce.image.version=${SVC_VER}
LABEL dev.egommerce.image.build_time=${BUILD_TIME}

WORKDIR /
COPY --from=builder $BIN_OUTPUT /app
COPY --from=builder /go/bin/migrate /bin/migrate
COPY deploy/.env.docker /.env
COPY ./bin /bin
# COPY deploy/certs /certs

RUN chmod 755 /bin/entrypoint.sh /bin/migrate.sh

RUN apk add curl

EXPOSE 443

ENTRYPOINT ["entrypoint.sh"]
CMD ["sh", "-c", "/app"]

# HEALTHCHECK --interval=5s --timeout=1s --retries=20 CMD health >/dev/null || exit 1
